Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.xml.stream.util
Class TypeFilter

    java.lang.Object
      weblogic.xml.stream.util.TypeFilter

All Implemented Interfaces:
  ElementFilter

Deprecated. please use java standard StAX api

public class TypeFilter
extends Object
implements ElementFilter

This is the implementation of the filter interface for types Creates a filter that accepts a certain type of XMLEvent type is an integer code that indicates the element type Valid values are XMLEvent.START_ELEMENT, XMLEvent.END_ELEMENT, XMLEvent.PROCESSING_INSTRUCTION, XMLEvent.CHARACTER_DATA, XMLEvent.COMMENT, XMLEvent.SPACE, XMLEvent.START_PREFIX_MAPPING, XMLEvent.END_PREFIX_MAPPING, XMLEvent.CHANGE_PREFIX_MAPPING, XMLEvent.ENTITY_REFERENCE

Since:
  XMLInputStream 1.0
See Also:
  `XMLInputStream`, `XMLOutputStream`, `XMLInputStreamFilter`, `XMLEvent`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected int` | `type` Deprecated.

Constructor Summary
`TypeFilter(int type)` Deprecated.

Method Summary
`boolean` | `accept(XMLEvent e)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected int type

  Deprecated.

Constructor Detail

### TypeFilter

    public TypeFilter(int type)

  Deprecated.

Method Detail

### accept

    public boolean accept(XMLEvent e)

  Deprecated.
  Description copied from interface: `ElementFilter`
  tests whether this event is part of this stream

  Specified by:
    `accept` in interface `ElementFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD